**********************************************************************************************************************.
*use new1975.
**********************************************************************************************************************. 
**********************************************************************************************************************.
*education level only held on wave 1.
*variables v118 and v119.
*no value labels .
*match to us67 which has value labels.
**********************************************************************************************************************.
*get codes for v118 and v119.
*use us67.

temp.

sel if (year=75) .

*fre educ.
*sel if (v2 lt 3000).
*des id.

save outfile='c:\program files\spss\atus\1975\educ.sav'
        /keep id age educ .

*match to new1975.

cro v118 v119 by educ.

*v119 cannot be coded into educ but v118 can be.

recode v118 (0 thru 8=1) (9,10,11=2) (12=3) (13,14,15=4) (16=5) (17=6) (sysmis=-8) into educ.
variable labels educ 'Respondents educational level from v118 QB45' .
value labels educ 1 '0-8grade'  2  'Somehighschool'  3  'HighSchoolGraduate'  4 'SomeCollege' 
      5 'Collegegraduate' 6 'Postcollege' -8 'missing'.
temp .
sel if (v7968=1) .
fre educ.

*This variable matches the one on USA67.