**********************************************************************************************************************.
*use new1975.
**********************************************************************************************************************. 
**********************************************************************************************************************.
*ethnicity - wave 1 - interviewer's obs.
*immigration is on wave 4 - v6867 to v6885 - but no value labels.
* use wave 1 only.
**********************************************************************************************************************.

do if (v7968=1) .
recode v405 (3=5) (5=3) (7=4) (sysmis=-8) (else=copy) into ethnic.
end if .
variable labels ethnic 'ethnicity/race re-coded from v405 (interviewers obs) ' .
value labels ethnic 1 'caucasian' 2 'black' 3 'asian' 4 'some other' 5 'hispanic' -8 'missing'.
fre ethnic.
sel if (v7968=1) .
save outfile='ethnic.sav'
        /keep id ethnic  .

*use combined file.

do if (survey=2 or survey=4).
recode ethnic (3,4,5=3) (else=copy) into ethnic2.
end if.
var lab ETHNIC2  'CONDENSED ETHNIC GROUP OF RESPONDENT'.
val lab ETHNIC2    1 'WHITE'  2  'BLACK'  3  'OTHER'  -8.00 'missing'  -9.00  'question not asked' .
fre ethnic2.
cro ethnic2 by survey.
recode ethnic2 (sysmis=-9) .
add value labels ethnic2  -9 'data not available'.



