
GET FILE='T:\Nuno\1995 data\USA92-94QUEST-ISER-AN(PID).SAV'.

SAVE OUTFILE='T:\Nuno\FERTILITY STATUS HARMONISATION\1995\usa92'+
   '-94quest_pid_famstat.sav'
     keep pid agekid kid#
     /COMPRESSED.

GET FILE='T:\Nuno\FERTILITY STATUS HARMONISATION\1995\usa92'+
   '-94quest_pid_famstat.sav'.
****************************************************************.
*merging this file with the file with derived age of respondent
****************************************************************.

MATCH FILES /FILE=*
  /FILE='T:\NUNO\AGE HARMONISATION\1992-94\USA92-94QUEST_PID_YOB_YEAR_AGE.SAV'
  /RENAME (year yob = d0 d1)
  /BY pid
  /DROP= d0 d1.
 EXECUTE.

compute famstat=-9.
execute.

do if kid#=0 & age>17 & age<40.
compute famstat=0.

else if kid#=0 & age>39 & age<999  .
compute famstat=3.
end if.
execute.

do if age>17 & age<999 & agekid<5.
compute famstat=1.

else if age>17 & age<999 & agekid>4 & agekid<99.
compute famstat=2.

else if age<18.
compute famstat=4.
end if.
execute.

variable label FAMSTAT 'Family stage (age and child coresident status)'.
value labels FAMSTAT
 0 'Adult aged 18 to 39 with no coresident children <18'
 1 'Adult 18+ living with 1+ coresident children aged <5'
 2 'Adult 18+ living with 1+ coresident children 5-17, none <5'
 3 'Adult aged 40+ with no coresident children <18'
 4 'Respondent aged <18 and living with parent(s)/guardian(s)'
-9 'could not be constructed'.

freq famstat.

MISSING VALUES famstat ("-9.").


SAVE OUTFILE='T:\Nuno\FERTILITY STATUS HARMONISATION\1995\usa92'+
   '-94quest_pid_famstat.sav'
     keep pid famstat
     /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.





