


GET
   FILE='T:\Nuno\1965_75 data\usa67-ISER-AN(pid).sav'.
 EXECUTE .


SAVE OUTFILE='T:\Nuno\1965_pid_age.sav'
 /keep pid age   
 /COMPRESSED.

 GET
   FILE='T:\Nuno\1965_pid_age.SAV'.
 EXECUTE .
 
VARIABLE LABELS age "AGE OF RESPONDENT".

 FREQUENCIES
   VARIABLES=age  .
***********************************************
*RECODING 99 AS A MISSING VALUE (SEE FRE TABLE WHY)
************************************************

MISSING VALUES age ("-8.").
 VALUE LABELS age
  -8 "DATA MISSING IN ERROR".

 RECODE
   age  (99=-8)  .
 EXECUTE .

SAVE OUTFILE='T:\NUNO\AGE HARMONISATION\1965HID_PID_AGE.SAV'
    /COMPRESSED.

**************************************************************
* recoding age, so that is harmonised with the ceiling value of "92"
*due to the usa92-94quest
*
*INCLUDING MISSING VALUES of "999" for harmonising with usa92-94quest derived age
**************************************************************

RECODE
   age  (92 thru Highest=92)  .
 EXECUTE .

MISSING VALUES age ("-8." "999.").
 VALUE LABELS age
  -8 "DATA MISSING IN ERROR"
  92 "92 years or more"
  999 "DK-REFUSAL" .

SAVE OUTFILE='T:\NUNO\AGE HARMONISATION\1965PID_AGE.SAV'
    /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.








