
GET  FILE='T:\Nuno\1995 data\USA92-94QUEST-ISER-AN(PID).SAV'.
EXECUTE .

SAVE OUTFILE='T:\Nuno\ECONOMIC ACTIVITY & WORKHOURS HARMONISATION\1995\usa92'
      +  '-94quest_pid_empstat.sav'
    /keep pid employ unemp wkhrs
    /COMPRESSED.

GET  FILE='T:\Nuno\ECONOMIC ACTIVITY & WORKHOURS HARMONISATION\1995\usa92'
      +  '-94quest_pid_empstat.sav'.

*******************************************.
*selecting only valid cases in the variable
* employ "EMPLOYMENT STATUS OF RESPONDENT"
* the missing values of this original variable
*are labelled "NA-REF"
*******************************************.

do if employ>0.
compute noemploy=0.
end if.
execute.

do if employ>0.
compute fulltime=0.
end if.
execute.

do if employ>0.
compute parttime=0.
end if.
execute.



*************************************.
*labelling missing values (.) as "-7"
*************************************.

RECODE
   fulltime parttime noemploy  (SYSMIS=-7)  .
 EXECUTE .

****************************************.
*deriving the new variables from
*the original variable employ
*****************************************.

do if employ=3.
compute noemploy=1.

else if employ=2.
compute parttime=1

else if employ=1.
compute fulltime=1.

end if.
execute.

freq noemploy fulltime parttime.

VAR LABEL fulltime "RESPONDENT WORKS FULL TIME".
VAR LABEL partime "RESPONDENT WORKS PART TIME".
VAR LABEL noemploy "RESPONDENT IS NOT EMPLOYED".

VALUE LABELS fulltime parttime noemploy
1 'YES'
0 'NO'
-7 'NOT APPLICABLE'
-8 missing or dirty on the case record


MISSING VALUES
fulltime parttime noemploy("-7." "-8.").

freq fulltime parttime noemploy.


SAVE OUTFILE='T:\Nuno\ECONOMIC ACTIVITY & WORKHOURS HARMONISATION\1995\usa92'
      +  '-94quest_pid_empstat.sav'
 /KEEP pid fulltime parttime noemploy.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.



