GET FILE='T:\Nuno\1965_75 data\USA67-ISER-AN(PID).SAV'.
EXECUTE .

sel if (year=65).

SAVE OUTFILE='T:\Nuno\MARITAL STATUS HARMONISATION\1965\usa67_pid_marital(civstat).sav'
    /keep pid marital.

GET FILE='T:\Nuno\MARITAL STATUS HARMONISATION\1965\usa67_pid_marital(civstat).sav'.




RENAME VARIABLES (marital=CIVSTAT).
 VARIABLE LABELS CIVSTAT "RESPONDENT'S MARITAL STATUS".
 
RECODE
   civstat  (9=-8)  .
EXECUTE .

VALUE LABELS civstat
  1 "MARRIED"
  2 "SEPARATED,DIVORCED"
  3 "WIDOWED"
  4 "NEVER MARRIED"
  -8 "missing or dirty on the case record"
 -9 "question not asked".

MISSING VALUES civstat ("-8." "-9.").


freq civstat.

SAVE OUTFILE='T:\Nuno\MARITAL STATUS HARMONISATION\1965\usa67_pid_marital(civstat).sav'.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.



