

GET
   FILE='T:\Nuno\1995 data\USA92-94QUEST-ISER-AN(PID).SAV'.
 EXECUTE .

SAVE OUTFILE='T:\Nuno\NONPAIDWORKCONDITIONS\1992-94\USA92'+
  '-94QUEST_PID_NONPAYWCD.sav'
    /KEEP PID EMPLOY UNEMP WKHRS
    /COMPRESSED.

GET FILE='T:\Nuno\NONPAIDWORKCONDITIONS\1992-94\USA92'+
  '-94QUEST_PID_NONPAYWCD.sav'.

RENAME VAR UNEMP=NOTEMP.

COMPUTE UNEMP=0.
COMPUTE RETDIS=0.
COMPUTE STUDENT=0.
COMPUTE HOMEMAKR=0.
EXECUTE.

VAR LABEL unemp "RESPONDENT IS UNEMPLOYED".
VAR LABEL retdis "RESPONDENT IS RETIRED OR DISABLED".
VAR LABEL student "RESPONDENT IS A STUDENT".
VAR LABEL homemakr "RESPONDENT IS A HOMEMAKER".

MISSING VALUES notemp ().
 
DO IF (notemp = 9) .
 RECODE
   homemakr retdis student unemp  (0=-3)  .
ELSE IF NOTEMP=1 OR NOTEMP=2.
COMPUTE RETDIS=1.

ELSE IF NOTEMP=3 OR NOTEMP=6.
COMPUTE UNEMP=1.

ELSE IF NOTEMP=4.
COMPUTE STUDENT=1.

ELSE IF NOTEMP=5.
COMPUTE homemakr=1.
 
 END IF .
 EXECUTE .

VALUE LABELS unemp retdis student homemakr
1 'YES'
0 'NO'
-8 'missing or dirty on the case record'
-3 'routed out in the 1992-94 survey'
-7 'not applicable or refusal'.

MISSING VALUES unemp retdis student homemakr ("-3." "-7." "-8.").

freq unemp retdis student homemakr.
FREQ RETDIS.


SAVE OUTFILE='T:\NUNO\NONPAIDWORKCONDITIONS\1992-94\USA92'+
  '-94QUEST_PID_NONPAYWCD.sav'
    /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.

