


GET FILE='T:\Nuno\1995 data\USA92-94QUEST-ISER-AN(PID).SAV'.

SAVE OUTFILE='T:\Nuno\AGE OF CHILDREN HARMONISATION\1992-94\usa92'+
  '-94quest_pid_under18_under5.sav'
    /keep pid kid# agekid
    /COMPRESSED.


GET FILE='T:\Nuno\AGE OF CHILDREN HARMONISATION\1992-94\usa92'+
  '-94quest_pid_under18_under5.sav'.

RENAME VARIABLES (kid#=UNDER18) (agekid=ageyngst).
RECODE under18 ageyngst
(99=-7) (sysmis=-8).
execute.

 VARIABLE LABELS under18 "NUMBER OF CHILDREN UNDER 18".
 VALUE LABELS under18
  -9 "QUESTION NOT ASKED"
  -8 "MISSING OR DIRTY ON THE CASE RECORD"
  -7 "NOT APPLICABLE OR REFUSAL"
  11 "MORE THAN 10".

VALUE LABELS ageyngst
  -9 "QUESTION NOT ASKED"
  -8 "MISSING OR DIRTY ON THE CASE RECORD"
  -7 "NOT APPLICABLE OR REFUSAL"
  0 "less THAN 1".

compute under5=-9.
execute.
VARIABLE LABELS under5 "age of youngest child".

 VARIABLE LABELS under5 "NUMBER OF CHILDREN UNDER 5".
 VALUE LABELS under5
  -9 "QUESTION NOT ASKED"
  -8 "MISSING OR DIRTY ON THE CASE RECORD"
  -7 "NOT APPLICABLE OR REFUSAL"
  11 "MORE THAN 10".

MISSING VALUES under18 under5 ageyngst ("-7." "-8." "-9.").

freq under18 under5 ageyngst.

SAVE OUTFILE='T:\Nuno\AGE OF CHILDREN HARMONISATION\1992-94\usa92'+
  '-94quest_pid_under18_under5.sav'
   /COMPRESSED.


***********************************************************************************.
*recoding -8 to -7 and -7 to -9, because 
*1) the system missing values (.) 
*in the heritage var "agekid" (age of youngest kid) are the same
*participants who have zero in the var "KID#"(# OF CHILDREN 
*UNDER 18 IN HOUSEHOLD), and therefore the var "ageyngst"
*is non applicable (-7). 
*2) the participants that have 99 (dk-ref) in the var 
*"agekid" (age of youngest kid) can be considered "question not asked" (-9)
***************************************************************.

RECODE
  ageyngst  (-8=-7)  (-7=-9)  .
EXECUTE .


SAVE OUTFILE='T:\Nuno\AGE OF CHILDREN HARMONISATION\1992-94\usa92'+
  '-94quest_pid_under18_under5.sav'
   /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.

