*******
*some anomolies discovered in October 2011 between the base original adult main 
*respondent file and the combined spouse and main respondent file. These are
*investigated and then corrected here - these reflect a few minor errors as
*well as some overlooked data cleaning.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Diary\diary1975-76\USA1975hfsum.sav'.
freq wave diaryday cday month year numep.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\1975-76\USA1975withspousehfsum.sav'.
select if spouse=0.
freq wave diaryday cday month year numep.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'.
freq state regionc regione urban ownhome.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\1975-76\USA1975withspousehfsum.sav'.
select if spouse=0.
freq state regionc regione urban ownhome.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'.
freq age sex educ civstat famstat hhtype.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\1975-76\USA1975withspousehfsum.sav'.
select if spouse=0.
freq age sex educ civstat famstat hhtype.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'.
freq nadult under18 under5 ageyngst nkidflag.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\1975-76\USA1975withspousehfsum.sav'.
select if spouse=0.
freq nadult under18 under5 ageyngst nkidflag.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'.
freq empstat unemp retired empsp disab student wkhrs.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\1975-76\USA1975withspousehfsum.sav'.
select if spouse=0.
freq empstat unemp retired empsp disab student wkhrs.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'.
freq wagelm incomeqt income75.

get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Supplementary files\1975-76\USA1975withspousehfsum.sav'.
select if spouse=0.
freq wagelm incomeqt income75.

*problems with civstat famstat hhtype ageyngst.





save outfile='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'
   /keep survey wave hhid pid state regionc regione urban ownhome age sex ethnic ethnic2 hisp educ civstat 
    cohab marrflag famstat hhtype kidflag nadult under18 under5 ageyngst nkidflag fulltime parttime noemploy 
    empstat occup unemp retired empsp disab student homemakr wkhrs nwork empflag wkhrflag wagelm incomeqt 
    income65 income75 income03.



get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'.
sort cases by hhid wave.

aggregate 
    outfile=*
    mode=addvariables
   /break hhid pid
   /maxdis=MAX(disab).

cro disab by maxdis.
*people do not go from being disabled to not disabled to disabled - correct errors.
if disab<0 and maxdis=0 disab=0.
Do if (hhid=83 or hhid=148 or hhid=1058 or hhid=1167) and wave=3.
   compute disab=0.
   compute homemakr=1.
End if.

Do if hhid=148 and (wave=2 or wave=3).
   compute empsp=4.
end if.
Do if (hhid=852 or hhid=990 or hhid=1493) and wave=3.
   compute disab=0.
End if.
Do if hhid=995 and (wave=3 or wave=4).
   compute disab=1.
End if.
execute.

Do if hhid=1369 and wave=3.
   compute disab=0.
   compute student=0.
   compute empstat=1.
   compute fulltime=1.
   compute unemp=0.
   compute nadult=1.
   compute under18=1.
   compute ageyngst=17.
Else if hhid=1369 and wave=4.
   compute ageyngst=18.
   compute famstat=3.
   compute wagelm=-8.
End if.

Do if hhid=886 and (wave=1 or wave=2 or wave=4).
   compute nadult=1.
   compute under18=4.
   compute ageyngst=8.
   compute famstat=2.
End if.

Do if hhid=732 and (wave=4).
   compute nadult=3.
   compute under18=3.
   compute ageyngst=10.
   compute famstat=2.
End if.

Do if hhid=634 and (wave=3).
   compute nadult=2.
   compute hhtype=2.
End if.

Do if hhid=591 and (wave=3 or wave=4).
   compute hhtype=3.
   compute famstat=3.
   compute ageyngst=18.
End if.

Do if hhid=314 and wave=3.
   compute hhtype=6.
Else if hhid=314 and wave=4.
   compute hhtype=1.
End if.

Do if hhid=314 and (wave=1).
   compute famstat=3.
Else if hhid=314 and (wave=3).
   compute hhtype=1.
   compute empsp=-8.
End if.

Do if (hhid=1337 and (wave=1 or wave=2)) or (hhid=686 and wave=4)
   or (hhid=927 and (wave=1 or wave=2 or wave=3)).
   compute famstat=3.
End if.
execute.

*these changes apply both to the main respondent and to the spouse.
Do if (hhid=443 and (wave=1 or wave=2 or wave=4)) or (hhid=688 and (wave=1 or 
   wave=2 or wave=3)) or (hhid=812 and (wave=1 or wave=2)) or (hhid=1170 and 
   (wave=1 or wave=2 or wave=4)) or (hhid=1464 and (wave=1 or wave=4)).
   compute famstat=3.
End if.

If hhid=73 nadult=2.
If hhid=73 hhtype=2.

Do if hhid=821 and wave=3.
   compute under18=1.
   compute ageyngst=16.
End if.

Do if hhid=466 and (wave=3 or wave=4).
   compute famstat=3.
   compute ageyngst=18.
End if.

Do if hhid=255 and (wave=1 or wave=2).
   compute nadult=2.
   compute under18=2.
   compute ageyngst=15.
End if.
execute.

***********************************************************.
get file='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'.

sort cases by survey wave hhid pid.

save outfile='C:\Documents and Settings\Kimberly Fisher\My Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\USA75_76quest.sav'
   /drop maxdis.



