


GET FILE='T:\Nuno\1965_75 data\USA67-ISER-AN(PID).SAV'.
EXECUTE .

select if year=65.

SAVE OUTFILE='T:\NUNO\FERTILITY STATUS'+
  ' HARMONISATION\1965_1975\usa67_pid_famstat.sav'
    /keep pid age under5 under18 hhtype
    /COMPRESSED.

GET FILE='T:\NUNO\FERTILITY STATUS'+
  ' HARMONISATION\1965_1975\usa67_pid_famstat.sav'.

compute famstat=-9.
execute.

do if under18=0 & (age>17 & age<40).
compute famstat=0.

else if age>17 & age<99 & under5>0 & under5<99.
compute famstat=1.

else if age>17 & age<99 & under5=0 & under18>0 & under18<99.
compute famstat=2.

else if age>39 & age<99 & under18=0.
compute famstat=3.

else if age<18.
compute famstat=4.

end if.
execute.

variable label FAMSTAT 'Family stage (age and child coresident status)'.
value labels FAMSTAT
 0 'Adult aged 18 to 39 with no coresident children <18'
 1 'Adult 18+ living with 1+ coresident children aged <5'
 2 'Adult 18+ living with 1+ coresident children 5-17, none <5'
 3 'Adult aged 40+ with no coresident children <18'
 4 'Respondent aged <18 and living with parent(s)/guardian(s)'
-9 'could not be constructed'.

MISSING VALUES famstat ("-9.").

freq famstat.

SAVE OUTFILE='T:\NUNO\FERTILITY STATUS'+
  ' HARMONISATION\1965_1975\usa67_pid_famstat.sav'
    /keep pid famstat
    /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.




