GET
  FILE='T:\Nuno\1965_75 data\usa67-ISER-AN(pid).sav'.

select if year=65.

SAVE OUTFILE='T:\Nuno\EDUCATION\1965\usa67_pid_educ.sav'
 /KEEP pid educ.

GET
  FILE='T:\Nuno\EDUCATION\1965\usa67_pid_educ.sav'.

VAR LABEL educ "RESPONDENT'S EDUCATIONAL LEVEL".

RECODE
   educ (9=-7)  .
EXECUTE .

VALUE LABELS educ
1 '0 - 8TH GRADE '
2 '9 - 11TH GRADE'
3 'HIGH SCHOOL GRADUATE'
4 'SOME COLLEGE'
5 'COLLEGE GRADUATE'
6 'POST COLLEGE'
-7 'REFUSAL or NOT APPLICABLE'
-8 'MISSING OR DIRTY ON THE CASE RECORD'.

MISSING VALUES
educ ("-8." "-7.").

freq educ.

SAVE OUTFILE='T:\Nuno\EDUCATION\1965\usa67_pid_educ.sav'.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.


 



