GET
  FILE='T:\Nuno\1995 data\usa92-94quest-ISER-AN(pid).sav'.


SAVE OUTFILE= 'T:\Nuno\HHTYPE harmonisation\1995\usa92-94quest_pid_hhtype.sav'
/keep pid sex kids adult  
/COMPRESSED.

GET
  FILE='T:\Nuno\HHTYPE harmonisation\1995\usa92-94quest_pid_hhtype.sav'.

compute hhtype=-9.
execute.
VARIABLE LABELS hhtype "HOUSEHOLD TYPE"

VALUE LABELS hhtype
  1 "MARRIED WITH CHILD"
  2 "MARRIED WITHOUT CHILD"
  3 "FEMALE HH WITH CHILD"
  4 "FEMALE HH WITHOUT CHILD"
  5 "MALE HH"
  6 "SINGLE MALE"
  7 "SINGLE FEMALE"
  8 "OTHER"
 -8 "MISSING OR DIRTY ON THE CASE RECORD"
 -9 "QUESTION NOT ASKED".

MISSING VALUES hhtype ("-8." "-9.").

do if sex=1 and kids=0 and adult=1.
compute hhtype=6.

else if sex=2 and kids=0 and adult=1.
compute hhtype=7.

end if.
execute.

FREQ HHTYPE.

*****************************************.
*CONSISTENCY CHECK OF THE DERIVED VARIABLE
*****************************************.

CROSSTABS
   /TABLES=hhtype  BY adult kids sex
   /FORMAT= AVALUE NOINDEX BOX LABELS TABLES
   /CELLS= COUNT .


SAVE OUTFILE='T:\Nuno\HHTYPE harmonisation\1995\usa92-94quest_pid_hhtype.sav'
  /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.






