GET FILE='T:\Nuno\1965_75 data\usa67-ISER-AN(pid).sav'.

select if year=65.

SAVE OUTFILE='T:\Nuno\NONPAIDWORKCONDITIONS\1965\USA67_PID_NONPAIWCD.SAV'
   /keep pid unemp retdis student homemakr nworkhrs
   /COMPRESSED.

GET FILE= 'T:\Nuno\NONPAIDWORKCONDITIONS\1965\USA67_PID_NONPAIWCD.SAV'.

VAR LABEL unemp "RESPONDENT IS UNEMPLOYED".
VAR LABEL retdis "RESPONDENT IS RETIRED OR DISABLED".
VAR LABEL student "RESPONDENT IS A STUDENT".
VAR LABEL homemakr "RESPONDENT IS A HOMEMAKER".

recode unemp retdis student homemakr
(sysmiss=-8).
execute.

VALUE LABELS unemp retdis student homemakr
1 'YES'
0 'NO'
-8 'missing or dirty on the case record'
-3 'routed out in the 1992-94 survey'
-7 'not applicable or refusal'.

MISSING VALUES unemp retdis student homemakr ("-3." "-7." "-8.").

freq unemp retdis student homemakr.

SAVE OUTFILE='T:\Nuno\NONPAIDWORKCONDITIONS\1965\USA67_PID_NONPAIWCD.SAV'
    /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.



