


GET FILE='T:\Nuno\1965_75 data\USA67-ISER-AN(PID).SAV'.
 EXECUTE .

select if year=65.

 SAVE OUTFILE='T:\Nuno\AGE OF CHILDREN'+
  ' HARMONISATION\1965\usa67_pid_under18_under5.sav'
    /KEEP PID UNDER18 UNDER5
    /COMPRESSED.

GET FILE='T:\Nuno\AGE OF CHILDREN'+
  ' HARMONISATION\1965\usa67_pid_under18_under5.sav'.

RECODE under18 under5
(99=-8).
execute.

 VARIABLE LABELS under18 "NUMBER OF CHILDREN UNDER 18".
 VALUE LABELS under18
  -9 "QUESTION NOT ASKED"
  -8 "MISSING OR DIRTY ON THE CASE RECORD"
  -7 "NOT APPLICABLE OR REFUSAL"
  11 "MORE THAN 10".


VARIABLE LABELS under5 "NUMBER OF CHILDREN UNDER 5".
 VALUE LABELS under5
  -9 "QUESTION NOT ASKED"
  -8 "MISSING OR DIRTY ON THE CASE RECORD"
  -7 "NOT APPLICABLE OR REFUSAL"
  11 "MORE THAN 10".

MISSING VALUES under18 under5 ("-7." "-8." "-9.").


compute ageyngst=-9.
execute.

VARIABLE LABELS ageyngst "age of youngest child"

 VALUE LABELS ageyngst
  -9 "QUESTION NOT ASKED"
  -8 "MISSING OR DIRTY ON THE CASE RECORD"
  -7 "NOT APPLICABLE OR REFUSAL"
  0 "less THAN 1".


freq ageyngst under5 under18.

SAVE OUTFILE='T:\Nuno\AGE OF CHILDREN'+
  ' HARMONISATION\1965\usa67_pid_under18_under5.sav'.


**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.








