
 GET FILE='T:\Nuno\1965_75 data\usa67-ISER-AN(pid).sav'.
 EXECUTE .
  
SELECT IF YEAR=65.

SAVE OUTFILE='T:\NUNO\WORK HOURS & No OF FULL-TIME WORKERS IN HH'+
   ' HARMONISAITON\1965\usa67_PID_NWORKHRS.sav'
   /KEEP pid nworkhrs unemp retdis student homemakr
   /COMPRESSED.

GET FILE='T:\NUNO\WORK HOURS & No OF FULL-TIME WORKERS IN HH'+
   ' HARMONISAITON\1965\usa67_PID_NWORKHRS.sav'.

RENAME VARIABLES (nworkhrs=WKHRS).
 FORMATS WKHRS (F2).
 
variable label wkhrs N HOURS WORKED PER WEEK.

RECODE
   wkhrs  (99=-8) (61 thru 80=61)  (81 thru Highest=81)  .
 EXECUTE .

********************************************************.
*assigning -4 to non-paid working conditions participants 
*that have 0 hours. -4 is a non system-missing value
* as agreed in meeting with J and Muriel
********************************************************.

do if unemp=1 or retdis=1 or student=1 or homemakr=1.
compute wkhrs=-4.
end if.
execute.

********************************************************************.
* 99 are missing values in the original file,
*********************************************************************.
 
VALUE LABELS wkhrs
  -4 "zero to 10 hours in 1965"
  -8 " MISSING DIRTY IN THE CASE RECORD"
  -3 "routed out in the 1992-94 survey"
  -1 "DON'T KNOW"
  61 "BETWEEN 61 AND 80 HOURS"
  81 "MORE THAN 80 HOURS".

MISSING VALUES wkhrs ("-8." "-1." "-3.").

FREQ WKHRS.

SAVE OUTFILE='T:\NUNO\WORK HOURS & No OF FULL-TIME WORKERS IN HH'+
   ' HARMONISAITON\1965\usa67_PID_WKHRS.sav'
   /keep pid wkhrs
/compressed.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.

