

GET
   FILE='T:\Nuno\1995 data\usa92-94quest-ISER-AN(pid).sav'.
 EXECUTE .

SAVE OUTFILE='T:\NUNO\WORK HOURS & No OF FULL-TIME WORKERS IN HH'+
 ' HARMONISAITON\1995\usa92-94quest_pid_wkhrs.sav'
 /keep pid wkhrs unemp
 /COMPRESSED.

GET
   FILE='T:\Nuno\WORK HOURS & No OF FULL-TIME WORKERS IN HH'+
  ' HARMONISAITON\1995\usa92-94quest_pid_wkhrs.sav'.
 EXECUTE .

 FORMATS WKHRS (F2).
 
variable label wkhrs N HOURS WORKED PER WEEK.

RECODE wkhrs (SYSMIS=-8)(88=-1)  (61 thru 80=61)  (81 thru Highest=81)  .
 EXECUTE .

******************************************************.
*the respondents that are "not employed" (unemp>=1) 
*were routed out of the "work hours" question. 
*They were coded as "-3" in the new harmonised variable
*******************************************************.

do if unemp =1 or unemp>1.
    RECODE wkhrs  (-8=-3).        
end if.
execute.
 
VALUE LABELS wkhrs
  -4 "zero to 10 hours in 1965"
  -8 " MISSING DIRTY IN THE CASE RECORD"
  -3 "routed out in the 1992-94 survey"
  -1 "DON'T KNOW"
  61 "BETWEEN 61 AND 80 HOURS"
  81 "MORE THAN 80 HOURS".

MISSING VALUES wkhrs ("-8." "-1." "-3.").

freq wkhrs.


SAVE OUTFILE='T:\Nuno\WORK HOURS & No OF FULL-TIME WORKERS IN HH'+
  ' HARMONISAITON\1995\USA92-94QUEST_PID_WKHRS.SAV'
    /keep pid wkhrs
    /COMPRESSED.


**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.

